Show / Hide Table of Contents

# Class OpenIddictValidationOwinOptions

Provides various settings needed to configure the OpenIddict OWIN validation integration.

##### Inheritance

System.Object
OpenIddictValidationOwinOptions

###### Namespace: OpenIddict.Validation.Owin

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictValidationOwinOptions : AuthenticationOptions

### Constructors

#### OpenIddictValidationOwinOptions()

Creates a new instance of the OpenIddictValidationOwinOptions class.

##### Declaration

    public OpenIddictValidationOwinOptions()

### Properties

#### Realm

Gets or sets the optional "realm" value returned to the caller as part of the WWW-Authenticate header.

##### Declaration

    public string Realm { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |